org.apache.catalina.mbeans

## Class ContextMBean

- java.lang.Object
- - org.apache.tomcat.util.modeler.BaseModelMBean
  - - org.apache.catalina.mbeans.ContainerMBean
    - - org.apache.catalina.mbeans.ContextMBean

All Implemented Interfaces:
  DynamicMBean, MBeanRegistration, ModelMBeanNotificationBroadcaster, NotificationBroadcaster

    public class ContextMBean
    extends ContainerMBean

### Field Summary

### Fields inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

`attributeBroadcaster, generalBroadcaster, managedBean, oname, resource, resourceType`

### Constructor Summary

Constructors
Constructor and Description
`ContextMBean()`

### Method Summary

Methods
`String[]` `findApplicationParameters()` Return the set of application parameters for this application.
`String[]` `findConstraints()` Return the security constraints for this web application.
`String` `findErrorPage(int errorCode)` Return the error page entry for the specified HTTP error code, if any; otherwise return `null`.
`String` `findErrorPage(String exceptionType)` Return the error page entry for the specified Java exception type, if any; otherwise return `null`.
`String[]` `findErrorPages()` Return the set of defined error pages for all specified error codes and exception types.
`String` `findFilterDef(String name)` Return the filter definition for the specified filter name, if any; otherwise return `null`.
`String[]` `findFilterDefs()` Return the set of defined filters for this Context.
`String[]` `findFilterMaps()` Return the set of filter mappings for this Context.

### Methods inherited from class org.apache.catalina.mbeans.ContainerMBean

`addChild, addLifeCycleListener, addValve, findContainerListenerNames, findLifecycleListenerNames, removeChild, removeLifeCycleListeners, removeValve`

### Methods inherited from class org.apache.tomcat.util.modeler.BaseModelMBean

`addAttributeChangeNotificationListener, addNotificationListener, getAttribute, getAttributes, getClassName, getJmxName, getManagedResource, getMBeanInfo, getModelerType, getNotificationInfo, getObjectName, invoke, postDeregister, postRegister, preDeregister, preRegister, removeAttributeChangeNotificationListener, removeAttributeChangeNotificationListener, removeNotificationListener, removeNotificationListener, removeNotificationListener, sendAttributeChangeNotification, sendAttributeChangeNotification, sendNotification, sendNotification, setAttribute, setAttributes, setManagedBean, setManagedResource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ContextMBean

    public ContextMBean()
                 throws MBeanException,
                        RuntimeOperationsException

Throws:
  `MBeanException`
  `RuntimeOperationsException`

### Method Detail

#### findApplicationParameters

    public String[] findApplicationParameters()
                                       throws MBeanException

Return the set of application parameters for this application.

Throws:
  `MBeanException`

#### findConstraints

    public String[] findConstraints()
                             throws MBeanException

Return the security constraints for this web application. If there are none, a zero-length array is returned.

Throws:
  `MBeanException`

#### findErrorPage

    public String findErrorPage(int errorCode)
                         throws MBeanException

Return the error page entry for the specified HTTP error code, if any; otherwise return `null`.

Parameters:
  `errorCode` - Error code to look up
Throws:
  `MBeanException`

#### findErrorPage

    public String findErrorPage(String exceptionType)
                         throws MBeanException

Return the error page entry for the specified Java exception type, if any; otherwise return `null`.

Parameters:
  `exceptionType` - Exception type to look up
Throws:
  `MBeanException`

#### findErrorPages

    public String[] findErrorPages()
                            throws MBeanException

Return the set of defined error pages for all specified error codes and exception types.

Throws:
  `MBeanException`

#### findFilterDef

    public String findFilterDef(String name)
                         throws MBeanException

Return the filter definition for the specified filter name, if any; otherwise return `null`.

Parameters:
  `name` - Filter name to look up
Throws:
  `MBeanException`

#### findFilterDefs

    public String[] findFilterDefs()
                            throws MBeanException

Return the set of defined filters for this Context.

Throws:
  `MBeanException`

#### findFilterMaps

    public String[] findFilterMaps()
                            throws MBeanException

Return the set of filter mappings for this Context.

Throws:
  `MBeanException`